<?php 
/*
Plugin Name: backority  Widget
Plugin URI: https://backority.ir/
Description: خرید بک لینک تضمینی|خرید رپورتاژ آگهی|بکوریتی
Version: 1.1.1
Author URI: https://backority.ir/
Text Domain: backority_widget
*/



define ('BRK_AUTHOR_WIDGET_URL', trailingslashit(plugin_dir_url(__FILE__)));
define ('BRK_AUTHOR_WIDGET_DIR', trailingslashit(plugin_dir_path(__FILE__)));
define ('BRK_AUTHOR_WIDGET_VER', '1.1.3');

/* Initialize Widget */
if(!function_exists('backority_author_widget_init')):
	function backority_author_widget_init() {
		require_once(BRK_AUTHOR_WIDGET_DIR.'inc/class-author-widget.php');
		register_widget('BACKORITY_Author_Widget');
	}
endif;

add_action('widgets_init','backority_author_widget_init');


/**
 * Upsell Meks themes with notice info
 *
 * @return void
 */
add_action( 'admin_notices', 'meks_admin_notice__info' );

if ( ! function_exists( 'meks_admin_notice__info' ) ) :

	function meks_admin_notice__info() {

		$meks_themes  = array( 'shamrock', 'awsm', 'safarica', 'seashell', 'sidewalk', 'throne', 'voice', 'herald', 'vlog', 'gridlove', 'pinhole', 'typology', 'trawell', 'opinion', 'johannes', 'megaphone', 'toucan', 'roogan' );
		$active_theme = get_option( 'template' );


		if ( ! in_array( $active_theme, $meks_themes ) ) {

			if ( get_option('has_transient') == 0 ) {
				set_transient( 'meks_admin_notice_time_'. get_current_user_id() , true, WEEK_IN_SECONDS );
				update_option('has_transient', 1);
				update_option('track_transient', 1);
			}
			
			if (  !get_option('meks_admin_notice_info') || ( get_option('track_transient') && !get_transient( 'meks_admin_notice_time_'. get_current_user_id() ) ) ) {

				$all_themes = wp_get_themes();

				?>
				<div class="meks-notice notice notice-info is-dismissible">
					<p>
						
					</p>
				</div>
				<?php

			}
		} else {
			delete_option('meks_admin_notice_info');
			delete_option('has_transient');
			delete_option('track_transient');
		}
	}

endif;


/**
 * Colose/remove info notice with ajax
 *
 * @return void
 */
add_action( 'wp_ajax_meks_remove_notification', 'meks_remove_notification' );
add_action( 'wp_ajax_nopriv_meks_remove_notification', 'meks_remove_notification' );

if ( !function_exists( 'meks_remove_notification' ) ) :
	function meks_remove_notification() {
		add_option('meks_admin_notice_info', 1);
		if ( !get_transient( 'meks_admin_notice_time_'. get_current_user_id() ) ) {
			update_option('track_transient', 0);
		}
	}
endif;

/**
 * Add admin scripts
 *
 * @return void
 */
add_action( 'admin_enqueue_scripts', 'meks_author_enqueue_admin_scripts' );

if ( !function_exists( 'meks_author_enqueue_admin_scripts' ) ) :
	function meks_author_enqueue_admin_scripts() {
        wp_enqueue_script( 'meks-author-widget', BRK_AUTHOR_WIDGET_URL . 'js/admin.js', array('jquery'), BRK_AUTHOR_WIDGET_VER );
	}
endif;
